<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(ADMIN."navigation.php");
require_once("../include/common.php");
if(!iPDP_ADMIN) {
	fallback("../index.php");
}


$do_import = isset($_GET['do_import']);


/*
 * GUI
 */
opentable($locale['PDP860']);
echo $pdp_admin_menu;

if(!$do_import) {
	echo "<p>".$locale['PDP863'].":</p>";
}


$all_licenses = array();
$all_cats = array();
$all_downs = array();


// licenses
$query_id = dbquery("SELECT download_license FROM ".DB_PREFIX."downloads"
	." GROUP BY download_license");
echo "<b>".$locale['PDP800'].":</b><ul>";
while($data = dbarray($query_id)) {
	$name = $data['download_license'];
	if(empty($name)) {
		$all_licenses[$name] = 0;
		continue;
	}
	if($do_import) {
		$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_licenses"
			."(license_name) VALUES ('$name')");
		$all_licenses[$name] = mysql_insert_id();
	}

	echo "<li>$name</li>\n";
}
echo "</ul>\n";


// cats
$query_id = dbquery("SELECT * FROM ".DB_PREFIX."download_cats");
echo "<b>".$locale['PDP820'].":</b><ul>";
while($data = dbarray($query_id)) {
	if($do_import) {
		$sorting = "name ASC";//$data['download_cat_sorting'];

		$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_cats"
			."(top_cat, cat_name, cat_desc, cat_sorting, cat_access)"
			." VALUES "
			."('0', '".$data['download_cat_name']."',"
			." '".$data['download_cat_description']."',"
			." '$sorting',"
			." '".$data['download_cat_access']."')");
		$all_cats[$data['download_cat_id']] = mysql_insert_id();
	}
	echo "<li>".$data['download_cat_name']."</li>\n";
}
echo "</ul>\n";


// downloads
$query_id = dbquery("SELECT * FROM ".DB_PREFIX."downloads");
echo "<b>".$locale['PDP004'].":</b><ul>";
while($data = dbarray($query_id)) {
	$name = $data['download_title'];

	if($do_import) {
		$ver = $data['download_version'];
		$url = $data['download_url'];
		$size= $data['download_filesize'];
		$datestamp = $data['download_datestamp'];
		$cat_id = $all_cats[$data['download_cat']];
		$lid = $all_licenses[$data['download_license']];
		/*FIXME - why this?
		if(empty($ver)) {
			$ver = $name;
		}
		*/

		$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_downloads"
			." SET"
			." cat_id='$cat_id', dl_name='$name',"
			." dl_desc='".$data['download_description']."',"
			." user_id='".$userdata['user_id']."',"
			." license_id='$lid', lizenz_okay='N',"
			." lizenz_packet='N',"
			." dl_count='".$data['download_count']."',"
			." dl_mtime='$datestamp', dl_ctime='$datestamp',"
			." dl_status='Y'");
		$did = mysql_insert_id();
		$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_files"
			." SET"
			." dl_id='$did',"
			." file_version='$ver',"
			." file_desc='',"
			." file_url='$url',"
			." file_size='$size',"
			." file_timestamp='$datestamp'");
	}
	echo "<li>$name</li>\n";
}
echo "</ul>\n";


if($do_import) {
	echo "<p><b>".$locale['PDP861']."</b>\n";
} else {
	echo "<p>[ <a href='".FUSION_SELF."?do_import=1'>".$locale['PDP862']
		."</a> ]\n";
}

closetable();


require_once(BASEDIR."footer.php");
?>
