<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	header("Location:../../index.php");
	exit;
}
if(!isset($pdp_did)) {
	fallback("download.php");
}

?>
<script type="text/javascript">
function screenshot_open(titel, imageadr, breite, hoehe)
{
	var wnd = window.open("", "pro_down_screenshot",
		"menubar=0,scrollbars=1,status=0,width="+breite+",height="+hoehe+",toolbar=0")
	if(wnd!=null) {
		wnd.document.open();
		wnd.document.write("<a href='javascript:window.close();'><img src='"+imageadr+"' border='0' alt='' title='"+titel+"'></a>");
		wnd.document.close();
		wnd.focus();
	}
}
function show_license(titel, id)
{
	var wnd = window.open("license.php?id="+id, "pro_download_license",
		"menubar=0,scrollbars=1,status=0,width=640,height=480,toolbar=0")
	if(wnd!=null) {
		wnd.focus();
	}
}
</script>
<?php

/*
 * FUNCS
 */
function pdp_tmp_render_did($name, $body, $homepage, $pic,
	$license, $count, $user_id, $user_name, $ctime, $mtime, $copyright,
	$files,
	$old_down, $old_extern, $old_ver, $old_size)
{
	global $locale, $pdp_did, $pdp_settings;

	$down_link = "";
	if(!empty($old_down) || !empty($old_extern)) {
		$down_link = "file.php?did=$pdp_did&file_id=0";
	} elseif(count($files)) {
		$latest_download = array_shift($files);
		$down_link = "file.php?did=$pdp_did"
			."&file_id=".$latest_download['id'];
		$old_ver = $latest_download['ver'];
		$old_size = $latest_download['size'];
		array_unshift($files, $latest_download);
	}

	echo "<font size='+1'><b>$name</b></font>\n";
	echo "<hr>\n";

echo "
<table border='0' cellspacing='2' width='100%' cellpadding='0'>
<tr>
	<td valign='top' colspan='2'>$body</td>
	<td width='100' valign='top' rowspan='2'>
	<table class='tbl-border' cellspacing='1' width='100%'>";
// version
if(!empty($old_ver)) {
	echo "<tr><td class='tbl2' align='center'>".$locale['PDP018']
		.":<br>$old_ver</td>";
}
// homepage
if(!empty($homepage)) {
	echo "<tr><td class='tbl2' align='center'><a href='$homepage'"
		." target='_blank'>".$locale['PDP020']."</a></td>";
}
// screenshot
if(!empty($pic) && file_exists($pdp_settings['upload_image'].$pic)) {
	$imagepx = getimagesize($pdp_settings['upload_image'].$pic);
	echo "<tr>
	<td align='center' class='tbl2'>"
		."<a href='javascript:screenshot_open(\"".$name."\", \""
		.$pdp_settings['upload_image'].$pic."\", \""
		.($imagepx[0]+20)."\", \"".($imagepx[1]+20)
		."\")'>".$locale['PDP028']."</a></td>
</tr>";
}
// download count
echo "<tr>
	<td align='center' class='tbl2'>".$locale['PDP004'].":<br>$count</td>
</tr>";
// FIXME TODO
if(!empty($old_size)) {
	echo "<tr><td align='center' class='tbl2'>"
		.$locale['PDP029'].":<br>".$old_size."</td></tr>";
}
echo "<tr>
	<td align='center' class='tbl2'>$license</td>
</tr>";
// who posted and when.
echo "<tr><td align='center' class='tbl2'>"
	."<a href='profile.php?id=$user_id'>$user_name</a>"
	."<br>".showdate("shortdate", $mtime)."</td>
</tr>\n";
if(!empty($copyright)) {
	echo "<tr>
	<td class='tbl2' align='center'>$copyright</td>
</tr>\n";
}
echo "</table></td>
</tr>
<tr>
	<td align='center' valign='bottom'><b><a href='$down_link' target='_blank'>"
			.$locale['PDP201']."</a></b></td>
</tr>
</table>
<hr>\n";


	// report broken downloads
	echo "<div align='right'>";
	if($pdp_settings['defektpm']){//FIXME && !iSUPERADMIN) {
		echo "[ <a href='broken.php?did=$pdp_did'>".$locale['PDP024']
			."</a> ]<br>";
	}
	// edit link
	if(iPDP_EDIT) {
		echo "<b>".$locale['PDP007'].":</b> [ "
			."<a href='edit_desc.php?did=$pdp_did'>"
				.$locale['PDP025']."</a>\n"
			." | <a href='edit_files.php?did=$pdp_did'>"
				.$locale['PDP019']."</a>\n"
			." | <a href='edit_pics.php?did=$pdp_did'>"
				.$locale['PDP015']."</a>\n";
		if(iPDP_ADMIN) {
			echo " | <a href='edit_comments.php?did=$pdp_did'>"
				.$locale['PDP021']."</a> ]";
			echo " | <a href='edit_admin.php?did=$pdp_did'>"
				.$locale['PDP450']."</a> ]";
		}
	}

	echo "</div>\n";


	// files
	if(count($files)) {
		echo "<b>".$locale['PDP200'].":</b><ul>\n";
	}
	foreach($files as $data) {
		echo "<li>"
			.showdate("shortdate", $data['timestamp'])
			." - <b>".$data['ver']." - </b>"
			." <a href='file.php?did=$pdp_did"
				."&amp;file_id=".$data['id']."'>"
				.$data['url']."</a>"
			." (<span class='small2'>".$data['size']." - "
				.$data['desc'].")</span>"
//		."<img src='icons/"
//		.($data['is_external'] ? "external" : "download")
//			.".gif' alt='' border='0'></a> "
			."</li>\n";
	}
	if(count($files)) {
		echo "</ul>\n";
	}
}


/*
 * ACTION
 */
if(isset($_POST['btn_vote']) && iUSER >= $pdp_settings['bewertungen']) {
	$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_votes"
		."(dl_id, user_id, vote_opt)"
		." VALUES"
		."('$pdp_did', '".$userdata['user_id']."',"
		." '".$_POST['did_vote']."')");
	if($ok) {
		fallback("download.php?did=$pdp_did");
	}

} elseif(isset($_POST['del_vote']) && iUSER >= $pdp_settings['bewertungen']) {
	$ok = dbquery("DELETE"
		." FROM ".DB_PREFIX."pdp_votes"
		." WHERE dl_id='$pdp_did' AND user_id='".$userdata['user_id']."'");
	if($ok) {
		fallback("download.php?did=$pdp_did");
	}

} elseif(isset($_POST['add_comment']) && iUSER >= $pdp_settings['kommentare']) {
	$text = stripinput(censorwords($_POST['comm_text']));
	$comment_smileys = (isset($_POST['disable_smileys']) ? "0" : "1");
	if(iMEMBER) {
		$c_user = $userdata['user_id'];
		$c_name = $userdata['user_name'];
	} else {
		$c_user = "0";
		$c_name = stripinput($_POST['comment_name']);
	}
	$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_comments"
		." SET dl_id='$pdp_did',"
		." user_id='$c_user',"
		." comment_user_name='$c_name',"
		." comment_text='$text',"
		." comment_timestamp='".time()."',"
		." comment_ip='".USER_IP."',"
		." comment_smileys='$comment_smileys'");
	if($pdp_settings['new_comm_pm']) {
		pdp_send_pm_mail($pdp_dl['user_id'], PDP_PM_COMMENT);
	}
	fallback("download.php?did=$pdp_did#comm".mysql_insert_id());
}


/*
 * GUI
 */


// license
$license = "";
if($pdp_dl['license_id']) {
	$query_id = dbquery("SELECT license_id, license_name"
		." FROM ".DB_PREFIX."pdp_licenses"
		." WHERE license_id='".$pdp_dl['license_id']."'");
	if(dbrows($query_id) && $row=dbarray($query_id)) {
		$license = "<a href='javascript:show_license(\"".$row['license_name']."\", \"".$row['license_id']."\");'>".$row['license_name']."</a>";
		$target = "";
	}
} elseif(!empty($pdp_dl['lizenz_url'])) {
	$license = "<a target='_blank' href='".$pdp_dl['lizenz_url']."'>"
		.$locale['PDP203']."</a>";
} elseif($pdp_dl['lizenz_packet']=="Y") {
	$license = "<span class='small2'>".$locale['PDP030']."</span>";
} else {
	$license = "<span class='small2'>".$locale['PDP204']."</span>";
}

// files
$files = array();
$query_id = dbquery("SELECT file_id, file_version, file_desc, file_size,"
	." file_timestamp, file_url"
	." FROM ".DB_PREFIX."pdp_files"
	." WHERE dl_id='$pdp_did' AND file_status='0'"
	." ORDER BY file_timestamp DESC");
while($data = dbarray($query_id)) {
	$files[] = array(
		"id"		=> $data['file_id'],
		// obsolete? FIXME
		"is_external"	=> pdp_is_external($data['file_url']),
		"url"		=> $data['file_url'],
		"ver"		=> $data['file_version'],
		"timestamp"	=> $data['file_timestamp'],
		"size"		=> $data['file_size'],
		"desc"		=> $data['file_desc'],
	);
}



if(function_exists("pdp_render_download")) {
	pdp_render_download($pdp_dl['dl_name'],
		nl2br(parseubb(parsesmileys($pdp_dl['dl_desc']))),
		$pdp_dl['dl_homepage'],
		$pdp_dl['dl_pic'],
		$license,
		$pdp_dl['dl_count'],
		$pdp_dl['user_id'],
		$pdp_dl['user_name'],
		$pdp_dl['dl_ctime'],
		$pdp_dl['dl_mtime'],
		$pdp_dl['dl_copyright'],
		$files,
		// FIXME obsolete
		$pdp_dl['down'],
		$pdp_dl['link_extern'],
		$pdp_dl['version'],//FIXME-obsolete
		$pdp_dl['dl_size'] //FIXME-obsolete
	);
} else {
	pdp_tmp_render_did($pdp_dl['dl_name'],
		nl2br(parseubb(parsesmileys($pdp_dl['dl_desc']))),
		$pdp_dl['dl_homepage'],
		$pdp_dl['dl_pic'],
		$license,
		$pdp_dl['dl_count'],
		$pdp_dl['user_id'],
		$pdp_dl['user_name'],
		$pdp_dl['dl_ctime'],
		$pdp_dl['dl_mtime'],
		$pdp_dl['dl_copyright'],
		$files,
		// FIXME obsolete
		$pdp_dl['down'],
		$pdp_dl['link_extern'],
		$pdp_dl['version'],//FIXME-obsolete
		$pdp_dl['dl_size'] //FIXME-obsolete
	);
}

closetable();
tablebreak();



/*
 * RATINGS
 */
opentable($locale['PDP202']);
$sql_votes = dbquery("SELECT *, COUNT(vote_opt) AS vote_count"
	." FROM ".DB_PREFIX."pdp_votes"
	." WHERE dl_id='$pdp_did' GROUP BY vote_opt");
if(dbrows($sql_votes)!=0) {
	$nr_votes = 0;
	$max_val = 0;
	$votes = array(0, 0, 0, 0, 0, 0);	// index 0 is not used.
	$w = array(0, 0, 0, 0, 0, 0);
	while($v = dbarray($sql_votes)) {
		$votes[$v['vote_opt']] = $v['vote_count'];
		if($v['vote_count'] > $max_val) {
			$max_val = $v['vote_count'];
		}
		$nr_votes = $nr_votes + $v['vote_count'];
	}
	for($i=1; $i<6; $i++) {
		$w[$i] = intval($votes[$i] * 100 / $max_val);
	}
//	$img = THEME."images/pollbar.gif";
	echo "<p>
<table cellpadding='3' cellspacing='0' width='100%' class='tbl-border'>\n";

	foreach($locale['PDP205'] as $val => $text) {
		echo "<tr class='tbl2'>
	<td align='right' width='100'>".$locale['PDP205'][$val]."</td>
	<td><div class='poll' style='height:12; width:".$w[$val]."%;'></td>
	<td align='right' width='1%'>"
		.intval($votes[$val]*100/$nr_votes)."%</td>
	<td align='left' width='100'>[".$votes[$val]." ".$locale['PDP213']."]</td>
</tr>\n";
	}
	echo "</tr>
</table>\n";
}


if(iUSER >= $pdp_settings['bewertungen']) {
	$query_id = dbquery("SELECT *"
		." FROM ".DB_PREFIX."pdp_votes"
		." WHERE dl_id=$pdp_did AND user_id='".$userdata['user_id']."'");
	if(dbrows($query_id)==0) {
		echo "<p>
<form action='".FUSION_SELF."?did=$pdp_did' method='POST'>
<div align='center'>
	<select size='1' class='textbox' name='did_vote'>
	<option value='1'>".$locale['PDP205']['1']."</option>
	<option value='2'>".$locale['PDP205']['2']."</option>
	<option value='3'>".$locale['PDP205']['3']."</option>
	<option value='4'>".$locale['PDP205']['4']."</option>
	<option value='5'>".$locale['PDP205']['5']."</option>
	</select>
	<input type='submit' value='".$locale['PDP206']
		."' class='button' name='btn_vote'>
</div>
</form>";
	} else {
		$data = dbarray($query_id);
		echo "<p>
<form action='".FUSION_SELF."?did=$pdp_did' method='POST'>
<div align='center'>".$locale['PDP210'].": <b>"
		.$locale['PDP205'][$data['vote_opt']]."</b><br>
	<input type='submit' name='del_vote' class='button'"
		." value='".$locale['PDP209']."'></div>
</form>\n";
	}

} elseif(dbrows($sql_votes)==0) {
	echo "<p>".$locale['PDP208'];
}
closetable();
tablebreak();


/*
 *
 */
opentable($locale['PDP021']);

// KOMMENTARE
$query_id = dbquery("SELECT *"
	." FROM ".DB_PREFIX."pdp_comments"
	." WHERE dl_id='$pdp_did' ORDER BY comment_timestamp");
if(dbrows($query_id)) {
	$count = 0;
	echo "<table width='100%' class='tbl-border' cellspacing='1'>\n";
	while($comm = dbarray($query_id)) {
		$name = $comm['comment_user_name'];
		if($comm['comment_smileys']=="1") {
			$text = parsesmileys($comm['comment_text']);
		} else {
			$text = $comm['comment_text'];
		}
		$text = nl2br(parseubb($text));
		if($comm['user_id']) {
			$name = "<a href='".BASEDIR."profile.php?lookup="
				.$comm['user_id']."'>$name</a>";
		} else {
			$name = "<b>".$name."</b>";
		}
		echo "<tr><td class='tbl".((++$count%2)+1)
			."'><a name='comm".$comm['comment_id']."'></a>$name"
			."<span class='small'>".$locale['PDP031']
			.showdate("shortdate", $comm['comment_timestamp'])
			."</span><br>$text";
	}
	if(iPDP_ADMIN) {
		echo "<tr><td class='tbl".((++$count%2)+1)."' align='right'>"
			."<a href='edit_comments.php?did=$pdp_did'>"
			.$locale['PDP032']."</a></td></tr>";
	}
	echo "</table>\n";
}

// show comment form.
if(iUSER >= $pdp_settings['kommentare']) {
	if(dbrows($query_id)) {
		tablebreak();
	}

	if(iMEMBER) {
		$name_line = "";
	} else {
		$name_line = "<tr>
	<td align='center'>".$locale['PDP002']
		.": <input type='text' size='32' maxlength='50'"
			." class='textbox' name='comment_name'></td>
</tr>\n";
	}

	echo "
<form action='".FUSION_SELF."?did=$pdp_did' method='POST'"
	." name='inputform'>
<table align='center' cellspacing='1'>
$name_line
<tr>
	<td align='center'><textarea cols='60' rows='5'"
		." class='textbox' name='comm_text'></textarea><br>"
		.pdp_get_bb_smileys("comm_text", "1", true)."</td>
</tr>
<tr>
	<td align='center'>"
		."<input type='submit' value='".$locale['PDP211']."'"
			." class='button' name='add_comment'></td>
</tr>
</table>
</form>";
} elseif(dbrows($query_id)==0) {
	echo "<p>".$locale['PDP212'];
}

closetable();

?>
