<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../maincore.php");
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
if(!iPDP_ADMIN) {
	fallback("download.php");
}
require_once("include/common.php");
if(!isset($did)) {
	fallback("download.php");
}
require_once("include/edit.php");


unset($id);
if(isset($_GET['id']) && isNum($_GET['id'])) {
	$id = $_GET['id'];
}


/*
 * ACTION
 */
if(isset($_POST['save']) && isset($id)) {
	$text = stripinput($_POST['comm_text']);
	$comment_smileys = (isset($_POST['disable_smileys']) ? "0" : "1");
	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_comments"
		." SET comment_text='$text', comment_smileys='$comment_smileys'"
		." WHERE comment_id='$id' AND dl_id='$did'");
	if($ok) {
		fallback(FUSION_SELF."?did=$did");
	}

} elseif(isset($_GET['del']) && isset($id)) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_comments"
		." WHERE comment_id='$id' AND dl_id='$did'");
	if($ok) {
		fallback(FUSION_SELF."?did=$did");
	}
}


/*
 * GUI & ACTION
 */
opentable($locale['PDP032']);
echo $pdp_edit_menu;


if(isset($id)) {
	$query_id = dbquery("SELECT *"
		." FROM ".DB_PREFIX."pdp_comments"
		." WHERE comment_id='$id'");
	if(!dbrows($query_id)) {
		fallback(FUSION_SELF."?did=$did");
	}
	$comm = dbarray($query_id);

	echo "<form action='".FUSION_SELF."?did=$did&id=$id' method='POST'"
		." name='inputform'>
<table align='center' cellspacing='1'>
<tr>
	<td align='center'>
	<textarea cols='70' rows='8' class='textbox' name='comm_text'>"
		.$comm['comment_text']."</textarea><br>"
		.pdp_get_bb_smileys("comm_text", $comm['comment_smileys'], true)."</td>
</tr>
<tr>
	<td align='center'><input type='submit'"
		." value='".$locale['PDP010']."' class='button' name='save'>
	</td>
</tr>
</table>\n";
tablebreak();
}


// show all
$query_id = dbquery("SELECT *"
	." FROM ".DB_PREFIX."pdp_comments"
	." WHERE dl_id='$did' ORDER BY comment_timestamp ASC");
if(!dbrows($query_id)) {
	echo "<p>".$locale['PDP212'];
} else {
	echo "<table width='100%' cellspacing='1' class='tbl-border'>\n";
}
$count = 0;
while($cdata = dbarray($query_id)) {
	$id = $cdata['comment_id'];
	if($cdata['comment_smileys']=="1") {
		$text = parsesmileys($cdata['comment_text']);
	} else {
		$text = $cdata['comment_text'];
	}
	$name = $cdata['comment_user_name'];
	if($cdata['user_id']) {
		$name = "<a href='profile.php?id=".$cdata['user_id']
			."'>".$name."</a>";
	}
	echo "
<tr>
	<td class='tbl2' valign='top'>$name</td>
	<td class='tbl2'>".showdate("longdate", $cdata['comment_timestamp'])
		." - ".$locale['PDP380'].": ".$cdata['comment_ip']."</td>
	<td width='1%' class='tbl2'><a href='".FUSION_SELF
		."?did=$did&amp;id=$id'><img src='icons/edit.gif' border='0'"
			." title='".$locale['PDP007']."'></a></td>
	<td width='1%' class='tbl2'><a href='".FUSION_SELF
		."?did=$did&amp;id=$id&amp;del=1'"
			." onClick='return confirm_delete();'>"
			."<img src='icons/delete.gif' border='0'"
				." title='".$locale['PDP009']."'></a></td>
</tr>
	<td class='tbl2'></td>
	<td class='tbl1' colspan='3'>".nl2br(parseubb($text))."</td>
</tr>\n";
}
if(dbrows($query_id)) {
	echo "</table>\n";
}
closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
