<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");
if(!pdp_check_access($pdp_settings['downbereich'])) {
	fallback("error.php?errno=".PDP_EACCESS);
}


//
unset($stext);
if(isset($_GET['stext']) && !empty($_GET['stext'])) {
	$stext = stripinput($_GET['stext']);
} else {
	echo $locale['PDP180'];
}


/*
 * GUI
 */
opentable($pdp_settings['title']);
echo $pdp_menu;


//
if(isset($stext) && strlen($stext) >= 3) {
	$query = "SELECT dl.dl_id, dl.dl_name,"
		." dl.cat_id, fu.user_name, fu.user_id, c.cat_name"
		." FROM ".DB_PREFIX."pdp_downloads AS dl"
		." LEFT JOIN ".DB_PREFIX."users AS fu ON fu.user_id=dl.user_id"
		." LEFT JOIN ".DB_PREFIX."pdp_cats AS c ON dl.cat_id=c.cat_id";

	$where = "";
	if(!iPDP_ADMIN) {
		$where .= "(dl_status!='".PDP_PRO_OFF."') AND ";
	}
	$where .= "dl_name LIKE '%$stext%' OR dl_desc LIKE '%$stext%'";
	// replace by maincore-funktion
	if(!iPDP_ADMIN) {
		$where .= "AND ".groupaccess("c.cat_access");
	}

	$query .= " WHERE $where";
	$query .= " ORDER BY dl_name";
//	$query .= " ORDER BY dl.dl_$sorting";
//	$query .= " LIMIT $rowstart, ".$pdp_settings['per_page'];

//	echo "<p><code>".phpentities($query)."</code>\n";
	$query_id = dbquery($query);
//	echo "<p>#".dbrows($query_id);

	echo "<p><b>$stext:</b> ".dbrows($query_id)." ".$locale['PDP181']
		."</p>";
	$last_cat = "";
	while($data = dbarray($query_id)) {
		if($last_cat != $data['cat_name']) {
			if(!empty($last_cat)) {
				echo "</ul>\n";
			}
			$last_cat = $data['cat_name'];
			echo "<b>$last_cat:</b><ul>\n";
		}
		echo "<li><a href='download.php?did=".$data['dl_id']."'>"
			.$data['dl_name']."</a></li>\n";
	}
	if(dbrows($query_id)) {
		echo "</ul>\n";
	}
}

closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
