<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(ADMIN."navigation.php");
if(!checkRights("IP")) {
	fallback("../index.php");
}
require_once("../include/common.php");


/*
 * ACTION
 */
if(isset($_POST['save'])) {
	$title = stripinput($_POST['title']);
	$per_page = stripinput($_POST['per_page']);
	$show_down_desc = isset($_POST['show_down_desc']) ? "1" : "0";
	$hide_cats = isset($_POST['hide_cats']) ? "1" : "0";

	$downbereich = stripinput($_POST['downbereich']);
	$kommentare = stripinput($_POST['kommentare']);
	$uploadbereich = stripinput($_POST['uploadbereich']);

	$bewertungen = stripinput($_POST['bewertungen']);
	if(!$$bewertungen) {
		$bewertungen = "101";
	}

	$image_ext = preg_replace("/\s+/", "", stripinput($_POST['image_ext']));
	$image_max = stripinput($_POST['image_max']);

	$file_ext = preg_replace("/\s+/", "", stripinput($_POST['file_ext']));
	$file_max = stripinput($_POST['file_max']);

	$user_edit = isset($_POST['user_edit']) ? "1" : "0";
	$upload_file = stripinput($_POST['upload_file']);
	$upload_image= stripinput($_POST['upload_image']);
	$new_comm_pm = isset($_POST['new_comm_pm']) ? "1" : "0";

	$broken_count = stripinput($_POST['broken_count']);
	$broken_text = stripinput($_POST['broken_text']);

	$pm_after_changes = stripinput($_POST['pm_after_changes']);
	$do_log = (isset($_POST['do_log']) ? "1" : "0");

	if(substr($upload_file, -1, 1)!="/") {
		$upload_file .= "/";
	}
	if(substr($upload_image, -1, 1)!="/") {
		$upload_image .= "/";
	}

	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_settings"
		." SET title='$title',"
		." neupm='$neupm', defektpm='$defektpm',"
		." file_max='$file_max', file_ext='$file_ext',"
		." image_max='$image_max', image_ext='$image_ext',"
		." downbereich='$downbereich',"
		." uploadbereich='$uploadbereich',"
		." kommentare='$kommentare', bewertungen='$bewertungen',"
		." per_page='$per_page',"
		." show_down_desc='$show_down_desc',"
		." hide_cats='$hide_cats',"
		." user_edit='$user_edit',"
		." upload_file='$upload_file',"
		." upload_image='$upload_image',"
		." new_comm_pm='$new_comm_pm',"
		." broken_count='$broken_count', broken_text='$broken_text',"
		." pm_after_changes='$pm_after_changes',"
		." do_log='$do_log'"
		." WHERE id='1'");
	if($ok) {
		redirect(FUSION_SELF);
	}
}



/*
 *
 */
$query_id = dbquery("SELECT user_id, user_name, user_rights"
	." FROM ".DB_PREFIX."users"
	." WHERE user_level>=102"
	." ORDER BY user_level DESC, user_name");
$all_admins = array('0' => $locale['PDP707']);
while($user = dbarray($query_id)) {
	if(in_array("IP", explode(".", $user['user_rights']))) {
		$all_admins[$user['user_id']] = $user['user_name'];
	}
}

//
$fusion_groups = getusergroups();
$up_groups = "";
$down_groups = "";
foreach($fusion_groups as $g) {
	list($id, $name) =  $g;

	$up_groups .= "<option value='$id'"
		.($id==$pdp_settings['uploadbereich'] ? " selected" :"").">"
		."$name</option>\n";
	$down_groups .= "<option value='$id'"
		.($id==$pdp_settings['downbereich'] ? " selected" :"").">"
		."$name</option>\n";
}




/*
 * GUI
 */
opentable($locale['PDP700']);
echo $pdp_admin_menu;


$allow_comments = "";
$allow_votes = "";
foreach($locale['PDP729'] as $val => $text) {
	$allow_comments .= "<option value='$val'"
		.($pdp_settings['kommentare']==$val ? "selected" : "")
		.">$text</option>";

	if($val) {
		$allow_votes .= "<option value='$val'"
			.($pdp_settings['bewertungen']==$val ? "selected" : "")
			.">$text</option>";
	}
}

$broken_text_legend = "";
foreach($locale['PDP732'] as $code => $text) {
	$broken_text_legend .= "<b>$code</b> - $text<br>\n";
}


echo "<form action='".FUSION_SELF."' method='POST' name='inputform'>
<table align='center' cellspacing='1' class='tbl-border'>
<tr>
	<td class='tbl2'>".$locale['PDP701'].":</td>
	<td class='tbl1'><input type='text' value='".$pdp_settings['title']."'"
		." style='width:100%;' maxlength='255' class='textbox'"
		." name='title'></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP703'].":</td>
	<td class='tbl2'><input type='text' name='upload_file'"
		." value='".substr($pdp_settings['upload_file'], strlen(BASEDIR))."'"
		." style='width:100%;' maxlength='200' class='textbox'></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP704'].":</td>
	<td class='tbl2'><input type='text' name='upload_image'"
		." value='".substr($pdp_settings['upload_image'], strlen(BASEDIR))."'"
		." style='width:100%;' maxlength='200' class='textbox'></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP702'].":</td>
	<td class='tbl1'><input type='text' size='4' maxlength='3'"
		." class='textbox' value='".$pdp_settings['per_page']."'"
		." name='per_page'></td>
</tr>
	<td class='tbl2'>".$locale['PDP005'].":</td>
	<td class='tbl1'><input type='checkbox' name='show_down_desc'"
		.($pdp_settings['show_down_desc']==1 ? " checked" : "")."> "
		.$locale['PDP708']
		."<br><input type='checkbox' name='hide_cats'"
		.($pdp_settings['hide_cats']==1 ? " checked" : "")."> "
		.$locale['PDP709']
	."</td>
</tr>
<tr>
	<td class='forum-caption' colspan='2'><b>".$locale['PDP705']."</b></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP710'].":</td>
	<td class='tbl1'><select size='1' class='textbox' name='neupm'>\n";
foreach($all_admins as $id => $name) {
	echo "<option value='$id'"
		.($id==$pdp_settings['neupm'] ? " selected" : "")
		.">$name</option>\n";
}
echo "
		</select>
	</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP711'].":</td>
	<td class='tbl1'><select size='1' class='textbox' name='defektpm'>\n";
foreach($all_admins as $id => $name) {
	echo "<option value='$id'"
		.($id==$pdp_settings['defektpm'] ? " selected" : "")
		.">$name</option>\n";
}
echo "
		</select>
	</td>
</tr>
<tr>
	<td class='tbl2' valign='top'>".$locale['PDP005'].":</td>
	<td class='tbl1'><input type='checkbox' name='new_comm_pm'".($pdp_settings['new_comm_pm']==1 ? " checked" : "")."> ".$locale['PDP706']."
	</td>
</tr>
<tr>
	<td class='forum-caption' colspan='2'><b>".$locale['PDP004']."</b></td>
</tr>
<tr>
          <td class='tbl2'>".$locale['PDP722'].":<br><span class='small2'>"	
	  	.$locale['PDP713']."</span></td>
          <td class='tbl1'><input type='text' style='width:100%;' name='file_ext'"
	  	." value='".$pdp_settings['file_ext']."' class='textbox'><br>"
		."<span class='small2'>".$locale['PDP715']."</span></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP716'].":<br><span class='small2'>"	
		.$locale['PDP717']."</span></td>
	<td class='tbl1'><input type='text'"
		." value='".$pdp_settings['file_max']."'"
		." size='14' maxlength='12' class='textbox'"
		." name='file_max'> =".parsebytesize($pdp_settings['file_max'])
			."<br><span class='small2'>"
			.$locale['PDP720']."</span></td>
</tr>
<tr>
	<td class='tbl2' valign='top'>".$locale['PDP027'].":</td>
	<td class='tbl1'><input type='checkbox' name='user_edit'"
		.($pdp_settings['user_edit']==1 ? " checked" : "")."> "
		.$locale['PDP721']."</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP730']."</td>
	<td class='tbl1'><input type='text' size='5' maxlength='3'"
		." value='".$pdp_settings['broken_count']."'"
		." class='textbox' name='broken_count'>"
		." <span class='small2'>(".$locale['PDP731'].")</span></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP725'].":<br>$broken_text_legend</td>
	<td class='tbl1'><textarea class='textbox' name='broken_text' cols='60'"
		." rows='6'>".$pdp_settings['broken_text']."</textarea><br>"
		.pdp_get_bb_smileys("broken_text", "not_used", false, false)."</td>
</tr>
<tr>
	<td class='forum-caption' colspan='2'><b>".$locale['PDP712']."</b></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP735']."</td>
	<td class='tbl2'><input type='checkbox' name='do_log'"
		.($pdp_settings['do_log'] ? " checked" : "")."> "
			.$locale['PDP718']."</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP733']."</td>
	<td class='tbl1'><input type='text' size='5' maxlength='3'"
		." value='".$pdp_settings['pm_after_changes']."'"
		." class='textbox' name='pm_after_changes'>"
		." <span class='small2'>(".$locale['PDP734'].")</span>
	</td>
</tr>
<tr>
	<td class='forum-caption' colspan='2'><b>".$locale['PDP015']."</b></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP722'].":<br><span class='small2'>"
		.$locale['PDP713']."</span></td>
	<td class='tbl1'><input type='text'"
		." value='".$pdp_settings['image_ext']."'"
		." style='width:100%;' class='textbox' name='image_ext'>"
		."<br><span class='small2'>".$locale['PDP714']."</span></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP716'].":<br><span class='small2'>"
		.$locale['PDP717']."</span></td>
	<td class='tbl1'><input type='text'"
		." value='".$pdp_settings['image_max']."' size='14'"
		." maxlength='12' class='textbox' name='image_max'>"
		." =".parsebytesize($pdp_settings['image_max'])
		."<br><span class='small2'>".$locale['PDP719']."</span></td>
</tr>
<tr>
	<td class='forum-caption' colspan='2'><b>".$locale['PDP027']."</b></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP723'].":</td>
	<td class='tbl1'><select name='downbereich' size='1' class='textbox'>
	$down_groups
	</select>
	</td>
</tr>
        <tr>
	<td class='tbl2'>".$locale['PDP724'].":</td>
	<td class='tbl1'><select name='uploadbereich' size='1' class='textbox'>
	$up_groups
	</select>
	</td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP726'].":<br><span class='small2'>"
		.$locale['PDP728']."</span></td>
	<td class='tbl1'><select name='kommentare' size='1' class='textbox'>"
		.$allow_comments."</select></td>
</tr>
<tr>
	<td class='tbl2'>".$locale['PDP727'].":<br><span class='small2'>"
		.$locale['PDP728']."</span></td>
	<td class='tbl1'><select name='bewertungen' size='1' class='textbox'>"
		.$allow_votes."</select></td>
</tr>
<tr>
	<td class='tbl2' colspan='2' align='center'><input type='submit'"
		." value='".$locale['PDP010']."' class='button'"
		." name='save'></td>
</tr>
</table>
</form>";

closetable();

require_once(BASEDIR."footer.php");
?>
