<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	header("Location: ../download.php");
	exit;
}
define("iPDP_INFUSION",	1);

//define("PD_ENOERR",	0);
define("PDP_EIMG",	1);
define("PDP_EACCESS",	2);	//
define("PDP_EURL",	3);
define("PDP_EFILE",	4);
define("PDP_EUPDIR",	5);
define("PDP_ECATS",	6);
define("PDP_EEXT",	7);
define("PDP_ESIZE",	8);
define("PDP_EIMGVERIFY",9);
define("PDP_EUPDATED",	10);
define("PDP_EUPLOAD",	100);
define("PDP_EUPLOAD1",	101);
define("PDP_EUPLOAD2",	102);
define("PDP_EUPLOAD3",	103);
define("PDP_EUPLOAD4",	104);
define("PDP_EUPLOAD5",	105);
define("PDP_EUPLOAD6",	106);
define("PDP_EUPLOAD7",	107);

define("PDP_PRO_ON",	"Y");	// Y(es) = online
define("PDP_PRO_OFF",	"N");	// N(o) = offline
define("PDP_PRO_NEW",	"S");	// S(tep) = in new-download-wizzard

define("PDP_PM_COMMENT",	1);
define("PDP_PM_NEW",		2);
define("PDP_PM_BROKEN",		3);
define("PDP_PM_CHANGES",	4);

define("PDP_EV_INVALID",	0);
define("PDP_EV_NEW",		1);
define("PDP_EV_DESC",		2);
define("PDP_EV_FILEFTP",	3);
define("PDP_EV_FILEURL",	4);
define("PDP_EV_FILEUPLOAD",	5);
define("PDP_EV_DELFILE",	6);
define("PDP_EV_DELPIC",		7);
define("PDP_EV_PICUPLOAD",	8);
define("PDP_EV_PICFTP",		9);
define("PDP_EV_STATUS",		10);
define("PDP_EV_CHEAT",		11);
define("PDP_EV_CLEARLOG",	12);
define("PDP_EV_RESETBROKEN",	13);


if(file_exists(INFUSIONS."pro_download_panel/locale/".$settings['locale'].".php")) {
	include	INFUSIONS."pro_download_panel/locale/".$settings['locale'].".php";
} else {
	include	INFUSIONS."pro_download_panel/locale/English.php";
}


$query_id = @mysql_query("SELECT * FROM ".DB_PREFIX."pdp_settings"
	." WHERE id='1'");
/*FIXME
$query_id = dbquery("SELECT * FROM ".DB_PREFIX."pdp_settings"
	." WHERE id='1'");
*/
if($query_id && dbrows($query_id)) {
	$pdp_settings = dbarray($query_id);
} else {
	$pdp_settings = array(
		"version"	=> "--update--",//FIXME
		"uploadbereich"	=> "103",
	);
}
if(!isset($pdp_settings['upload_file'])
	|| empty($pdp_settings['upload_file'])) {
	$pdp_settings['upload_file'] = "infusions/pro_download_panel/downloads/";
}
if(!isset($pdp_settings['upload_image'])
	|| empty($pdp_settings['upload_image'])) {
	$pdp_settings['upload_image'] = "infusions/pro_download_panel/images/";
}


$sorting = "name ASC";
$pdp_settings['upload_file'] = BASEDIR.$pdp_settings['upload_file'];
$pdp_settings['upload_image']= BASEDIR.$pdp_settings['upload_image'];

define("iPDP_ADMIN",	checkrights("IP"));


unset($did);
if(isset($_GET['did']) && isNum($_GET['did'])) {
	$did = $_GET['did'];	// FIXME
	$pdp_did = $_GET['did'];
}


/*
 * get download
 */
unset($pdp_dl);
if(isset($pdp_did)) {
	// get download
	$query = "SELECT d.*, c.cat_access, fu.user_name"
		." FROM ".DB_PREFIX."pdp_downloads AS d"
		." LEFT JOIN ".DB_PREFIX."pdp_cats AS c ON c.cat_id=d.cat_id"
		." LEFT JOIN ".DB_PREFIX."users AS fu ON d.user_id=fu.user_id"
		." WHERE d.dl_id='$pdp_did'";
	$query_id = dbquery($query);
	if(dbrows($query_id)!=1) {
		fallback("index.php");
	}
	$pdp_dl = dbarray($query_id);

	if(!pdp_check_access($pdp_dl['cat_access'])) {
		fallback("download.php");
	}
}
define("iPDP_EDIT", isset($pdp_did) && (iPDP_ADMIN
	|| ($pdp_settings['user_edit'] && iMEMBER
		&& $userdata['user_id']==$pdp_dl['user_id'])));

if(isset($pdp_dl) && $pdp_dl['dl_status']==PDP_PRO_OFF && !iPDP_EDIT) {
	fallback("download.php?catid=".$pdp_dl['cat_id']);
}

if(iPDP_ADMIN) {
	$admin_items = array(
		"admin.php"		=> $locale['PDP037'],
		"settings.php"		=> $locale['PDP700'],
		"cats.php"		=> $locale['PDP820'],
		"licenses.php"		=> $locale['PDP800'],
		"downloads.php"		=> $locale['PDP004'],
	);
	$w = intval(100 / count($admin_items));
	$pdp_admin_menu = "
<table class='tbl-border' cellspacing='1' cellpadding='0' width='100%'>
<tr>\n";
	foreach($admin_items as $href => $title) {
		$c = "tbl".($href==FUSION_SELF ? "1" : "2");
		$pdp_admin_menu .= "<td width='$w%' align='center' class='$c'><a href='$href'>$title</a></td>\n";
	}
	$pdp_admin_menu .= "
</tr>
</table>
<div align='right'>Professional Download System ".$pdp_settings['version']."</div>
<hr>\n";
	unset($admin_items);
}


// MENU
$pdp_menu = "<table width='100%' border='0' cellspacing='0'>
<tr>
	<td valign='top'><a href='download.php'>".$locale['PDP820']."</a>";
if(pdp_check_access($pdp_settings['uploadbereich'])) {
	$pdp_menu .= " | <a href='edit_desc.php'>".$locale['PDP038']."</a>";
}
if(iMEMBER) {
	$pdp_menu .= " | <a href='profile.php"
		."?id=".$userdata['user_id']."'>".$locale['PDP160']."</a>";
}
$pdp_menu .= "
	</td>
	<td align='right' valign='top'>";
if(checkRights("IP")) {
	$pdp_menu .= "<a href='admin/admin.php'>".$locale['PDP016']."</a> | ";
}
$pdp_menu .= "<a href='copyright.php'>".$locale['PDP039']."</a></td>
</tr>
<tr>
	<td align='left'><form action='search.php' method='get'>
		<input type='text' size='24' maxlength='24' name='stext'"
			." class='textbox'>
		<input type='submit' value='".$locale['PDP040']."'"
			." class='button'>
		</form>
	</td>
</tr>
</table>
<hr>\n";



?>
<script type="text/javascript">
function confirm_delete() {
	return confirm("<?php echo $locale['PDP008']; ?>");
}
</script>
<?php




/*
 * FUNCS
 */
// bb-buttons and smileys
function pdp_get_bb_smileys($input, $val, $is_enabled, $show_smileys=true) {
	global $locale;
	return "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('$input', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('$input', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('$input', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('$input', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('$input', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('$input', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('$input', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('$input', '[small]', '[/small]');\">
<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('$input', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('$input', '[quote]', '[/quote]');\">
<br>"
.($show_smileys ? "<br>".displaysmileys($input) : "")
.($is_enabled
? "<br><input type='checkbox' name='disable_smileys'"
	." value='$val'".($val=="0" ? " checked" : "").">"
	.$locale['PDP041']
: "");
}


function pdp_send_pm_mail($to_id, $pm_type) {
	global $locale, $pdp_did, $userdata, $settings;

	if(!isset($locale['PDP902']['subject'][$pm_type])) {
		return false;
	}

	$from_id = (iMEMBER ? $userdata['user_id'] : 0);
/*
	if(!$to_id || $from_id==$to_id) {	// FIXME
		return true;
	}
*/

	// get user
	$query_id = dbquery("SELECT user_name, user_email"
		." FROM ".DB_PREFIX."users"
		." WHERE user_id='$to_id'");
	if(!dbrows($query_id)) {
		return false;
	}
	$data = dbarray($query_id);


	// collect
	$subject = stripinput($locale['PDP902']['subject'][$pm_type]);

	$body = stripinput($locale['PDP902']['body'][$pm_type]);
	$body .= "<br><br>";
	$body .= "[url=".$settings['siteurl']
		."infusions/pro_download_panel/download.php"
		."?did=$pdp_did]".$locale['PDP026']."[/url]";
	$body .= "<br><br>";
	$body .= "[b]".$locale['PDP051'].":[/b] ".USER_IP;

	$now = time();

	// send pm
	$ok = dbquery("INSERT INTO ".DB_PREFIX."messages"
		." SET message_to='$to_id',"
		." message_from='$from_id',"
		." message_subject='$subject',"
		." message_message='$body',"
		." message_smileys='Y',"
		." message_read='0',"
		." message_datestamp='".time()."'");


	// send mail
	require_once(INCLUDES."sendmail_include.php");
	$type = "plain";

	$body = $subject;
	$body .= "\n\n";
	$body .= stripinput($locale['PDP902']['body'][$pm_type]);
	$body .= "\n\n";
	$body .= $locale['PDP026'].": ".$settings['siteurl']
		."infusions/pro_download_panel/download.php"
		."?did=$pdp_did";
	$body .= "\n\n";

	sendemail($data['user_name'], $data['user_email'],
		$settings['siteusername'],
		$settings['siteemail'],
		$subject, strip_tags(nl2br(parseubb($body))), $type);

	return true;
}


function pdp_msg($ok, $text) {
	global $locale;
	opentable($locale['PDP049']);
	echo "<table width='80%' align='center' border='0' cellspacing='5'>
<tr>
	<td valign='top' width='1%'><img src='".INFUSIONS
		."pro_download_panel/icons/msg_"
		.($ok ? "ok" : "no").".gif' alt=''></td>
	<td valign='top'>$text</td>
</tr>
</table>\n";
	closetable();
	tablebreak();
}


/* this is work-around php fusion's group_id-bug */
function pdp_check_access($group_id) {
	if(iSUPERADMIN) {
		return true;
	}
	switch($group_id) {
	case 101: return iMEMBER;
	case 102: return iADMIN;
	case 103: return iSUPERADMIN;
	default:  return checkGroup($group_id);
	}
}


function pdp_cleanup_filename($filename)
{
	$filename = preg_replace("/\__\d+/", "", $filename);
	$filename = preg_replace("/\[\d+\]/", "", $filename);
	return $filename;
}


function pdp_is_external($url)
{
	return (substr($url, 0, 7)=="http://"
		|| substr($url, 0, 8)=="https://"
		|| substr($url, 0, 6)=="ftp://");
}


function pdp_process_errno($errno) {
	global $locale;

	if($errno) {
		if(isset($locale['PDP900'][$errno])) {
			opentable($locale['PDP049']);
			echo "<div align='center'>\n"
				."<img src='".INFUSIONS
					."pro_download_panel/icons/msg_no.gif'"
					." alt=''><br>\n<b>"
				.$locale['PDP900'][$errno]
				."</b></div>\n";
			closetable();
			tablebreak();
		}
	} else {
		echo "<p><b>".$locale['PDP050']."</b>\n";
	}
}


function pdp_log_event($event, $errno)
{
	global $pdp_did, $userdata, $pdp_settings;

	if(!isset($pdp_did) || !$pdp_settings['do_log']) {
		return false;
	}

	$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_log"
		." SET"
		." dl_id='$pdp_did',"
		." user_id='".$userdata['user_id']."',"
		." log_timestamp='".time()."',"
		." log_type='$event',"
		." log_errno='$errno'");

	if((dbcount("(*)", "pdp_log", "(dl_id='$pdp_did')")
		% $pdp_settings['pm_after_changes'])===0) {
		pdp_send_pm_mail($pdp_settings['neupm'], PDP_PM_CHANGES);
	}

	return true;
}

?>
