<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	header("Location:../../index.php");
	exit;
}

$pdp_in_panel = true;
require_once(INFUSIONS."pro_download_panel/include/common.php");
if(!pdp_check_access($pdp_settings['downbereich'])) {
	return;	// FIXME
}


if(iPDP_ADMIN) {
	$where = "";
} elseif(iMEMBER) {
	$where = " WHERE (dl_status!='".PDP_PRO_OFF."'"
		." OR user_id='".$userdata['user_id']."')";
} else {
	$where = " WHERE dl_status!='".PDP_PRO_OFF."'";
}
if(!iPDP_ADMIN) {
	$where .= "AND ".groupaccess("c.cat_access");
}


/*
 * GUI
 */
openside($locale['PDP004']);

$query_id = dbquery("SELECT dl_id, dl_name, dl.cat_id"
	." FROM ".DB_PREFIX."pdp_downloads AS dl"
	." LEFT JOIN ".DB_PREFIX."pdp_cats AS c USING(cat_id)"
	." $where "
	." ORDER BY dl_mtime DESC LIMIT 5");
echo "<div class='side-label'><b>".$locale['PDP300']."</b></div>
<table width='100%' cellspacing='0' cellpadding='0'>\n";
while($data = dbarray($query_id)) {
	echo "<tr>
	<td><img src='".THEME."images/bullet.gif' alt=''> <a href='".INFUSIONS
		."pro_download_panel/download.php?did=".$data['dl_id']."'"
		." title='".$data['dl_name']."' class='side'>"
		.trimlink($data['dl_name'], 18)."</a></td>
</tr>\n";
}
echo "</table>";


$query_id = dbquery("SELECT dl_id, dl_name, dl.cat_id, dl_count"
	." FROM ".DB_PREFIX."pdp_downloads AS dl"
	." LEFT JOIN ".DB_PREFIX."pdp_cats AS c USING(cat_id)"
	." $where "
	." ORDER BY dl_count DESC LIMIT 5");
echo "<p><div class='side-label'><b>".$locale['PDP301']."</b></div>
<table width='100%' cellspacing='0' cellpadding='0'>\n";
while($data = dbarray($query_id)) {
	echo "<tr>
	<td><img src='".THEME."images/bullet.gif' alt=''> <a href='".INFUSIONS
		."pro_download_panel/download.php?did=".$data['dl_id']."'"
		." title='".$data['dl_name']."' class='side'>"
		.trimlink($data['dl_name'], 18)."</a></td>
	<td align='right'>[".$data['dl_count']."]</td>
</tr>\n";
}
echo "</table>";

closeside();
?>
