<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");
require_once("include/common.php");
/*FIXME
if(!iMEMBER) {// || !pdp_check_access($pdp_settings['uploadbereich'])) {
	fallback("download.php");
}
*/

if(isset($_GET['id']) && isNum($_GET['id'])) {
	$id = $_GET['id'];
} else {
	fallback("download.php");
}


opentable($pdp_settings['title']);
echo $pdp_menu;


$query_id = dbquery("SELECT user_name"
	." FROM ".DB_PREFIX."users"
	." WHERE user_id='$id'");
if(!dbrows($query_id)) {
	fallback("download.php");
}
echo "<p><b>".array_shift(dbarray($query_id)).":</b>"
	." <a href='".BASEDIR."profile.php?lookup=$id'>"
		.$locale['PDP161']."</a></p>\n";

if(iPDP_ADMIN) {
	$where = "";
} elseif(iMEMBER) {
	$where = " AND (dl_status!='".PDP_PRO_OFF."'"
		." OR user_id='".$userdata['user_id']."')";
} else {
	$where = " AND dl_status!='".PDP_PRO_OFF."'";
}

$query_id = dbquery("SELECT dl_name, dl_id, dl_status, dl_broken_count,"
	." cat_name, cat_access, dl.cat_id"
	." FROM ".DB_PREFIX."pdp_downloads AS dl"
	." LEFT JOIN ".DB_PREFIX."pdp_cats USING(cat_id)"
	." WHERE user_id='$id' $where"
	." ORDER BY dl_status, dl_name ASC");
if(!dbrows($query_id)) {
	echo $locale['PDP022'];
}
$last_status = "";
while($data = dbarray($query_id)) {
	if(!pdp_check_access($data['cat_access'])) {
		continue;
	}
	if($last_status != $data['dl_status']) {
		if(!empty($last_status)) {
			echo "</ul>\n";
		}
		$last_status = $data['dl_status'];
		echo $locale['PDP904'][$last_status].":<ul>\n";
	}

	if($data['dl_broken_count']>0) {
		$more_string = " (".$locale['PDP754'].")";
	} else {
		$more_string = "";
	}
	echo "<li><a href='download.php?did=".$data['dl_id']."'>"
		.$data['dl_name']."</a>$more_string</li>\n";
}
if(dbrows($query_id)) {
	echo "</ul>\n";
}

closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
